## python-discord 2.6.4+dfsg

=== requirements.txt ===
aiohttp>=3.7.4,<4
audioop-lts; python_version>='3.13'

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/discord.py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/discord.py.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/discord.py"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/discord.py"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-discord 2.0.0+dfsg

=== debian/changelog ===
python-discord (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <kwestover.kw@gmail.com>  Sun, 21 Aug 2022 15:22:12 -0400

python-discord (1.7.3+dfsg2-2) unstable; urgency=medium

  * Source-only upload

 -- Ben Westover <kwestover.kw@gmail.com>  Mon, 11 Jul 2022 03:37:10 -0400

python-discord (1.7.3+dfsg2-1) unstable; urgency=medium

  * Initial Package (Closes: #961427)

 -- Ben Westover <kwestover.kw@gmail.com>  Sat, 25 Jun 2022 09:34:42 -0400

=== debian/control ===
Source: python-discord
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ben Westover <kwestover.kw@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools,
 python3-aiohttp,
 python3-sphinx,
 python3-sphinxcontrib.trio,
 python3-typing-extensions,
 python3-coverage,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-mock
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/python-team/packages/python-discord.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-discord
Homepage: https://github.com/Rapptz/discord.py
Rules-Requires-Root: no
X-Python3-Version: >= 3.8
Testsuite: autopkgtest-pkg-python

Package: python3-discord
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python3-nacl
Description: API wrapper for Discord written in Python
 Discord.py is a modern, easy to use, feature-rich, and async ready API wrapper
 for Discord written in Python.
 .
 Key features:
  * Modern Pythonic API using async and await
  * Proper rate limit handling
  * Optimised in both speed and memory

Package: python-discord-doc
Architecture: all
Section: doc
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
 fonts-material-design-icons-iconfont
Description: API wrapper for Discord written in Python - documentation
 This package contains documentation for discord.py, a modern, easy to use,
 feature-rich, and async ready API wrapper for Discord written in Python.

## python-discord 2.1.1+dfsg

=== debian/changelog ===
python-discord (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Sat, 11 Feb 2023 14:28:42 -0500

python-discord (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Sat, 12 Nov 2022 22:40:20 -0500

python-discord (2.0.1+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-discord-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:00:08 +0100

python-discord (2.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <kwestover.kw@gmail.com>  Sun, 28 Aug 2022 20:50:30 -0400

## python-discord 2.2.2%2Bdfsg

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = discord
export PYBUILD_INSTALL_ARGS = --no-compile

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs && python3 -m sphinx . ../debian/html

execute_after_dh_auto_clean:
	rm -rf debian/html

## python-discord 2.2.2+dfsg

=== debian/changelog ===
python-discord (2.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Wed, 01 Mar 2023 23:24:25 -0500

python-discord (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Tue, 28 Feb 2023 16:40:24 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ben Westover <kwestover.kw@gmail.com>
+Uploaders: Ben Westover <me@benthetechguy.net>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -22,7 +22,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-discord
 Homepage: https://github.com/Rapptz/discord.py
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.8
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-discord
@@ -45,6 +44,7 @@
  ${sphinxdoc:Depends},
  ${misc:Depends},
  fonts-material-design-icons-iconfont
+Multi-Arch: foreign
 Description: API wrapper for Discord written in Python - documentation
  This package contains documentation for discord.py, a modern, easy to use,
  feature-rich, and async ready API wrapper for Discord written in Python.

## python-discord 2.3.2+dfsg

=== debian/changelog ===
python-discord (2.3.2+dfsg-2) unstable; urgency=medium

  * Fix tests by adding python3-pytzdata to Build-Depends

 -- Ben Westover <me@benthetechguy.net>  Tue, 15 Aug 2023 22:06:26 -0400

python-discord (2.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Sun, 13 Aug 2023 04:40:00 -0400

python-discord (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Fri, 30 Jun 2023 19:00:10 -0400

python-discord (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Mon, 12 Jun 2023 23:30:32 -0400

python-discord (2.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Tue, 09 May 2023 16:40:10 -0500

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,9 @@
  python3-pytest,
  python3-pytest-asyncio,
  python3-pytest-cov,
- python3-pytest-mock
-Standards-Version: 4.6.1
+ python3-pytest-mock,
+ python3-pytzdata
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-discord.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-discord
 Homepage: https://github.com/Rapptz/discord.py

## python-discord 2.4.0+dfsg

=== debian/changelog ===
python-discord (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix build with updated sphinx (Fixes: #1057608)

 -- Ben Westover <me@benthetechguy.net>  Thu, 02 Jan 2025 18:15:58 -0500

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,27 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3,
  python3-setuptools,
  python3-aiohttp,
  python3-sphinx,
+ python3-sphinx-inline-tabs,
+ python3-sphinxcontrib.applehelp,
+ python3-sphinxcontrib.devhelp,
+ python3-sphinxcontrib.htmlhelp,
+ python3-sphinxcontrib.jsmath,
+ python3-sphinxcontrib.qthelp,
+ python3-sphinxcontrib.serializinghtml,
  python3-sphinxcontrib.trio,
+ python3-sphinxcontrib.websupport,
  python3-typing-extensions,
  python3-coverage,
  python3-pytest,
  python3-pytest-asyncio,
  python3-pytest-cov,
- python3-pytest-mock,
- python3-pytzdata
-Standards-Version: 4.6.2
+ python3-pytest-mock
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-discord.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-discord
 Homepage: https://github.com/Rapptz/discord.py

## python-discord 2.5.0+dfsg

=== debian/changelog ===
python-discord (2.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Tue, 18 Feb 2025 14:00:56 -0500

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3,
  python3-setuptools,
  python3-aiohttp,
+ python3-audioop-lts,
  python3-sphinx,
  python3-sphinx-inline-tabs,
  python3-sphinxcontrib.applehelp,

## python-discord 2.5.2%2Bdfsg

=== debian/changelog ===
python-discord (2.5.2+dfsg-1~bpo12+1) bookworm; urgency=medium

  * Backport to bookworm

 -- Ben Westover <me@benthetechguy.net>  Tue, 27 May 2025 13:33:31 -0400

python-discord (2.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Tue, 27 May 2025 13:22:12 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  python3,
  python3-setuptools,
  python3-aiohttp,
- python3-audioop-lts,
  python3-sphinx,
  python3-sphinx-inline-tabs,
  python3-sphinxcontrib.applehelp,
@@ -27,7 +26,7 @@
  python3-pytest-asyncio,
  python3-pytest-cov,
  python3-pytest-mock
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-discord.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-discord
 Homepage: https://github.com/Rapptz/discord.py

## python-discord 2.6.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,3 @@
 
 execute_after_dh_auto_build:
 	cd docs && python3 -m sphinx . ../debian/html
-
-execute_after_dh_auto_clean:
-	rm -rf debian/html

## python-discord 2.6.0+dfsg

=== debian/changelog ===
python-discord (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Mon, 18 Aug 2025 22:45:15 -0400

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3,
  python3-setuptools,
  python3-aiohttp,
+ python3-audioop-lts,
  python3-sphinx,
  python3-sphinx-inline-tabs,
  python3-sphinxcontrib.applehelp,

## python-discord 2.6.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3-setuptools,
  python3-aiohttp,
  python3-audioop-lts,
+ python3-ruff,
  python3-sphinx,
  python3-sphinx-inline-tabs,
  python3-sphinxcontrib.applehelp,

## python-discord 2.6.4+dfsg

=== debian/changelog ===
python-discord (2.6.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-ruff build-dependency again (closes: #1120725).
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Nov 2025 15:17:31 +0000

python-discord (2.6.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Wed, 15 Oct 2025 00:22:23 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Ben Westover <me@benthetechguy.net>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  pybuild-plugin-pyproject,
  python3,
  python3-setuptools,
  python3-aiohttp,
  python3-audioop-lts,
- python3-ruff,
  python3-sphinx,
  python3-sphinx-inline-tabs,
  python3-sphinxcontrib.applehelp,
@@ -32,8 +32,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-discord.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-discord
 Homepage: https://github.com/Rapptz/discord.py
-Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-discord
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = discord
export PYBUILD_INSTALL_ARGS = --no-compile

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	cd docs && python3 -m sphinx . ../debian/html
